SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:adjust-dateTime-to-timezone

fn:adjust-dateTime-to-timezone($srcval as dateTime?) → dateTime?

Function signature

$srcval | xs:dateTime ?
Result | xs:dateTime ?

Returns a dateTime value equivalent to the original dateTime, but with the timezone removed.

XPath 2.0 Specification

fn:adjust-dateTime-to-timezone($srcval as dateTime?, $timezone as dayTimeDuration) → dateTime?

Function signature

$srcval | xs:dateTime ?
$timezone | xdt:dayTimeDuration
Result | xs:dateTime ?

Returns a dateTime value equivalent to the original dateTime, but with a different timezone.

XPath 2.0 Specification

Next